# Definitions

* **Gas Token:** The native token for a given blockchain. For example, the Gas Token on Aleph Zero is AZERO. For more info, please review the page on [Proof-of-Stake Blockchains](/overview/proof-of-stake-blockchains.md).
* **sToken**: A general form for Liquid Staking Tokens. sTokens are fungible, can be traded and used elsewhere on the network, and can be used to redeem Gas Tokens during the unstaking process.
* **sA0**: Ike's Liquid Staking Tokens. sA0 serve as a receipt entitling the holder to their share of the `Total Pool` in the `Vault`. sA0 tokens are fungible, can be traded and used elsewhere on the network, and can be used to redeem AZERO during the unstaking process.&#x20;
* **Validator**: an entity on the blockchain that stakes Gas Tokens (AZERO), validates transactions on behalf of the network, and is rewarded with yield on their Gas Tokens in return for the service. For more information, see [Proof-of-Stake Blockchains](/overview/proof-of-stake-blockchains.md#staking-and-validators).
* **DEX:** Abbreviation for a [Decentralized Exhange.](https://en.wikipedia.org/wiki/Decentralized_finance#Decentralized_exchanges)
* **Bonding / Unbonding:** A process by which tokens can be "frozen" in exchange for some other benefit. This is commonly used to refer to the process by which the blockchain locks tokens up, or unlocks them, during the staking process. It can sometimes be used interchangeably with the terms "staking" and "unstaking".
* **Delegation (aka Nomination):** Also sometimes referred to as "nomination", this is the process by which a user "delegates" another entity to do something on their behalf. In the case of Liquid Staking, users can "delegate" a "Delegation/Nomination Pool" to stake their tokens on their behalf with a Validator. Note that Ike does not use Nomination Pools, but rather nominates directly yo Validators.
* **Total Pooled:** The sum of all AZERO currently deposited in the [`Vault`](/the-ike-protocol/architecture/core-smart-contracts.md#the-vault-contract), plus all yield that has been compounded during network staking.
* **Total Shares:** Denotes the total outstanding supply of sA0 plus the number of Virtual Shares eligible to be claimed by the DAO.&#x20;
  * **Total Virtual Shares:** This represents the revenue entitled to the DAO. It denotes the number of sA0 that are eligible to be minted during the **DAO Revenue Redemption Process**. These are tracked on the `Vault`.
  * **Total Shares Minted:** The total outstanding supply of sA0. sA0 are minted during the [staking process](/the-ike-protocol/architecture/staking-and-un-staking-mechanisms.md#staking-mechanism) and are burned during the [unstaking process](/the-ike-protocol/architecture/staking-and-un-staking-mechanisms.md#unstaking-mechanism).
* **Redemption Ratio:** This is the ratio of `totalPooled` / `totalShares`. This ratio can be calculated at any time and is used to inform how many AZERO can be redeemed by a user for each sA0 token they submit during the [un-staking ](/the-ike-protocol/architecture/staking-and-un-staking-mechanisms.md#unstaking)process. This ratio can also be used by market makers to keep exchange rates honest on [DEXes](/the-ike-protocol/definitions.md). Note: the Redemption Ratio is not stored as a variable, however the`Vault` contract contains methods to calculate it in both directions (from sA0 to AZERO, and vice versa).
* **Era:** A blockchain-native construct denoting the period that the Validator set (and each Validator's active delegator or nominator set) is recalculated and where staking rewards are paid out to Validators.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ike.xyz/the-ike-protocol/definitions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
